$(document).ready(function(){
/*------------------------------------*/

scrollPage();

$(document).scroll(scrollPage);
$(window).resize(function(){
	$('.anim').removeClass('anim');
	setTimeout(scrollPage,500);
});

$('#papers .chart .value').html('<label></label>'+'<i></i>'.repeat(Number($('#papers > div').data('value'))));
$('#reports-other-documents .chart .value').html('<label></label>'+'<i></i>'.repeat(Number($('#reports-other-documents > div').data('value'))));
$('#conference-presentations .chart .value').html('<label></label>'+'<i></i>'.repeat(Number($('#conference-presentations > div').data('value'))));

SVG_User = '<i><svg><path d="M6,0c1.66,0,3,1.34,3,3s-1.34,3-3,3-3-1.34-3-3S4.34,0,6,0m0,1.5c-.83,0-1.5,.67-1.5,1.5s.67,1.5,1.5,1.5,1.5-.67,1.5-1.5-.67-1.5-1.5-1.5m0,5.25c2,0,6,1,6,3v2.25H0v-2.25c0-2,4-3,6-3m0,1.42c-2.23,0-4.57,1.1-4.57,1.58v.83H10.58v-.83c0-.48-2.35-1.58-4.58-1.58Z"/></svg></i>';

SVG_Spot = '<i><svg><path d="M5.1,4.2c0-.83,.67-1.5,1.5-1.5,.66,0,1.22,.43,1.42,1.01,.05,.16,.08,.32,.08,.49,0,.83-.67,1.5-1.5,1.5-.65,0-1.2-.41-1.42-1-.05-.16-.08-.33-.08-.5m-3.9,0c0,2.7,3.05,6.4,3.6,7.09l-.6,.71S0,7.35,0,4.2C0,2.3,1.27,.69,3,.17c-1.1,.99-1.8,2.42-1.8,4.03M6.6,0c2.32,0,4.2,1.88,4.2,4.2,0,3.15-4.2,7.8-4.2,7.8,0,0-4.2-4.65-4.2-7.8C2.4,1.88,4.28,0,6.6,0m0,1.2c-1.66,0-3,1.34-3,3,0,.6,0,1.8,3,5.83,3-4.03,3-5.23,3-5.83,0-1.66-1.34-3-3-3Z"/></svg></i>';

SVG_Record = '<i><svg><path d="M2.92,.32H12V1.62H2.92V.32m0,5.19v-1.3H12v1.3H2.92M.97,0c.54,0,.97,.44,.97,.97s-.44,.97-.97,.97-.97-.44-.97-.97S.44,0,.97,0M.97,3.89c.54,0,.97,.44,.97,.97s-.44,.97-.97,.97-.97-.44-.97-.97,.44-.97,.97-.97m1.95,5.51v-1.3H12v1.3H2.92m-1.95-1.62c.54,0,.97,.44,.97,.97s-.44,.97-.97,.97-.97-.44-.97-.97,.44-.97,.97-.97Z"/><path d="M2.92,.32H12V1.62H2.92V.32m0,5.19v-1.3H12v1.3H2.92M.97,0C1.51,0,1.95,.44,1.95,.97s-.44,.97-.97,.97S0,1.51,0,.97,.44,0,.97,0M.97,3.89c.54,0,.97,.44,.97,.97s-.44,.97-.97,.97S0,5.4,0,4.86s.44-.97,.97-.97m1.95,5.51v-1.3H12v1.3H2.92m-1.95-1.62c.54,0,.97,.44,.97,.97s-.44,.97-.97,.97S0,9.29,0,8.76s.44-.97,.97-.97Z"/></svg></i>';

SVG_Image = '<i><svg><path d="M1.2,2.4H0V10.8c0,.67,.54,1.2,1.2,1.2H9.6v-1.2H1.2V2.4M9.9,7.35c0-.9-1.8-1.35-2.7-1.35s-2.7,.45-2.7,1.35v.45h5.4m-2.7-2.85c.74,0,1.35-.61,1.35-1.35s-.61-1.35-1.35-1.35-1.35,.61-1.35,1.35,.61,1.35,1.35,1.35M10.8,0H3.6c-.66,0-1.2,.54-1.2,1.2v7.2c0,.67,.54,1.2,1.2,1.2h7.2c.67,0,1.2-.53,1.2-1.2V1.2c0-.67-.54-1.2-1.2-1.2m0,8.4H3.6V1.2h7.2v7.2Z"/></svg></i>';

$('#users .chart .value').html('<label></label>'+SVG_User.repeat(Math.round(Number($('#users > div').data('value'))/100))+'<small>'+SVG_User+' = 100 users </small>');
$('#spots .chart .value').html('<label></label>'+SVG_Spot.repeat(Math.round(Number($('#spots > div').data('value'))/100))+'<small>'+SVG_Spot+' = 100 spots </small>');
$('#records .chart .value').html('<label></label>'+SVG_Record.repeat(Math.round(Number($('#records > div').data('value'))/100))+'<small>'+SVG_Record+' = 100 records </small>');
$('#images .chart .value').html('<label></label>'+SVG_Image.repeat(Math.round(Number($('#images > div').data('value'))/100))+'<small>'+SVG_Image+' = 100 images </small>');

/*
$('#by-records .chart .value').each(function(){$(this).html($(this).html() + SVG_User);});
$('#by-spots .chart .value').each(function(){$(this).html($(this).html() + SVG_User);});
$('#most-active-spots .chart .value').each(function(){$(this).html($(this).html() + SVG_Spot);});
*/


$('#by-records h3, #by-spots h3').prepend(SVG_User);
$('#most-active-spots h3').prepend(SVG_Spot);


$('.number').hover(function(){

	ID = $(this).attr('id');
	
	$('#'+ID+':not(#fish-sampling-biomass):not(#days-spent-with-field-work):not(.pie-chart) > div > .chart, #'+ID+' > div > .chart .value').removeAttr('style');
	setTimeout(function(){anim(ID,1)},1);
}, function(){
	anim(ID,1);
}).children().hover(function(e){ return false;},function(e){ return false;});



function scrollPage(){
	
	windowScrollTop = $(window).scrollTop();
	windowHeight = $(window).height();
	
	$('.number').each(function(index){
				
			Top = $(this).offset().top;
			Height = $(this).outerHeight();
			ID = $(this).attr('id');
			
			$('#dna .chart, #alltime .chart, .seasonal .chart').each(function(){
				Size = $(this).parent().innerWidth();
				$(this).parent().css('height',Size+20);
			});	
			$('#winter .chart, #spring .chart, #summer .chart, #autumn .chart').each(function(){
				Size = $(this).parent().innerWidth();
				$(this).parent().css('height',Size-5);
			});	
			
			$('.seasonal .chart2').each(function(){
				Size = $(this).parent().innerWidth();
			});			
				 
			if(windowScrollTop > (Top - windowHeight+(Height+30))){
				if($(this).hasClass('anim') == false) anim(ID,1);
			} else {
				if($(this).hasClass('anim') == true) anim(ID,0);
			}
			
			if(windowScrollTop > (Top + Height)) {
				if($(this).hasClass('anim') == true) anim(ID,0);
			}
		
		
	});
}

function anim(ID,onoff){	

	if(onoff == 1){
		
		HTML = '';
		
		if($('#'+ID).hasClass('anim') == false) $('#'+ID).addClass('anim');
		
		MaxVal = 0;
			
		$('#'+ID+' > div').each(function(index){
			
			var This = $(this);
			Val = Number(This.data('value'));
			if(MaxVal < Val) MaxVal = Val;
		
			HeightUnit = 150 / MaxVal;			

			
				Value = Number(This.data('value'));
				Max = Number(This.data('max'));	
				
				
				if(ID == 'macroinvertebrate') {
					W = (This.innerWidth() - 90) / Max * Value;
					This.children('.chart').children('.value').css('width',W).html('<label>'+Value+'</label>');
					
					if(W > (This.innerWidth() - 90 - 50)) {
						This.children('.chart').children('.value').children('label').addClass('in_chart');
					} else {
						This.children('.chart').children('.value').children('label').removeClass('in_chart');
					}
				}
				
				if(ID == 'dna') {
					WW = This.innerWidth()-20;
					W = WW / Max * Value;
					L = (WW-W)/2;
					PT = This.attr('class');
					
					This.children('.chart').children('.value').css({'width':W, 'height':W, 'left':L , 'top':L}).html('<label style="width: '+WW+'px; left: -'+((WW-W)/2)+'px;">'+Value+'<label>');
				}
				
				if(ID == 'fish-sampling-biomass') {
					if($(window).width() > 804) {
						DNAH = $('#dna').innerHeight();
						H3H = $('#'+ID+' h3').innerHeight();
						$('#'+ID).css('height','calc('+DNAH/2+'px - 0.35rem)');						
						This.children('.chart').css('margin-top',($('#'+ID).innerHeight() - H3H)/4);
					}
					
					WW = This.innerWidth();
					W = WW / Max;
					
					Value_Fish = Value;
					W_Fish = W;
					i_Fish = 0;
					if(typeof Spin_Fish !== 'undefined') clearInterval(Spin_Fish);
					Spin_Fish = setInterval(function(){
						This.children('.chart').children('.value').css('width',W_Fish*i_Fish).text(i_Fish);
						if(i_Fish == Value_Fish) clearInterval(Spin_Fish);
						i_Fish++;
					},1000/Value_Fish);

				}				
				if(ID == 'days-spent-with-field-work') {
					if($(window).width() > 804) {
						DNAH = $('#dna').innerHeight();
						H3H = $('#'+ID+' h3').innerHeight();
						$('#'+ID).css('height','calc('+DNAH/2+'px - 0.35rem)');
						This.children('.chart').css('margin-top',($('#'+ID).innerHeight() - H3H)/4);
					}
					
					Value_Days = Value;
					i_Days = 0;
					if(typeof Spin_Days !== 'undefined') clearInterval(Spin_Days);
					Spin_Days = setInterval(function(){
						FontSize = i_Days/20;
						if(FontSize > 2.5) FontSize = 2.5;
						This.children('.chart').children('.value').css('font-size',FontSize+'rem').text(i_Days);
						if(i_Days == Value_Days) clearInterval(Spin_Days);
						i_Days++;
					},1000/Value_Days);
					
				}		
				
				if(ID == 'papers') {
					if($(window).width() > 804) {
						$('#'+ID+' h3').css('height',$('#reports-other-documents h3').innerHeight());
					}
					
					Value_Papers = Value;
					i_Papers = 0;
					
					if(typeof Spin_Papers !== 'undefined') clearInterval(Spin_Papers);
					Spin_Papers = setInterval(function(){
	
						This.children('.chart').children('.value').children('label').text(i_Papers);
						This.children('.chart').children('.value').children('i:nth-child('+(i_Papers+1)+')').addClass('on');
						if(i_Papers == Value_Papers) {
							clearInterval(Spin_Papers);
						} else {
							i_Papers++;
						}
						
					},1000/Value_Papers);
				}		
				
				if(ID == 'reports-other-documents') {
					
					Value_Reports = Value;
					i_Reports = 0;
					
					if(typeof Spin_Reports !== 'undefined') clearInterval(Spin_Reports);
					Spin_Reports = setInterval(function(){
	
						This.children('.chart').children('.value').children('label').text(i_Reports);
						This.children('.chart').children('.value').children('i:nth-child('+(i_Reports+1)+')').addClass('on');
						if(i_Reports == Value_Reports) {
							clearInterval(Spin_Reports);
						} else {
							i_Reports++;
						}
						
					},1000/Value_Reports);
				}		
				
				if(ID == 'conference-presentations') {
					
					if($(window).width() > 804) {
						$('#'+ID+' h3').css('height',$('#reports-other-documents h3').innerHeight());
					}					
					
					Value_Conference = Value;
					i_Conference = 0;
					
					if(typeof Spin_Conference !== 'undefined') clearInterval(Spin_Conference);
					Spin_Conference = setInterval(function(){
	
						This.children('.chart').children('.value').children('label').text(i_Conference);
						This.children('.chart').children('.value').children('i:nth-child('+(i_Conference+1)+')').addClass('on');
						if(i_Conference == Value_Conference) {
							clearInterval(Spin_Conference);
						} else {
							i_Conference++;
						}
						
					},1000/Value_Conference);
				}
				
				/* ---- NEW ----- */
						
				
				if(ID == 'users') {
				
					
					Value_Users = Value;
					i_Users = 0;
					i_Users_100 = 0;
					
					if(typeof Spin_Users !== 'undefined') clearInterval(Spin_Users);
					Spin_Users = setInterval(function(){
	
						This.children('.chart').children('.value').children('label').text(i_Users_100);
						This.children('.chart').children('.value').children('i:nth-child('+(i_Users+1)+')').addClass('on');
						if(i_Users_100 >= Value_Users) {
							clearInterval(Spin_Users);
							This.children('.chart').children('.value').children('label').text(Value_Users);
						} else {
							i_Users++;
							i_Users_100 = i_Users_100 + 99 ;
						}
						
					},1000/Value_Users*100);
				}
				if(ID == 'spots') {
				
					
					Value_Spots = Value;
					i_Spots = 0;
					i_Spots_100 = 0;
					
					if(typeof Spin_Spots !== 'undefined') clearInterval(Spin_Spots);
					Spin_Spots = setInterval(function(){
	
						This.children('.chart').children('.value').children('label').text(i_Spots_100);
						This.children('.chart').children('.value').children('i:nth-child('+(i_Spots+1)+')').addClass('on');
						if(i_Spots_100 >= Value_Spots) {
							clearInterval(Spin_Spots);
							This.children('.chart').children('.value').children('label').text(Value_Spots);
						} else {
							i_Spots++;
							i_Spots_100 = i_Spots_100 + 99;
						}
						
					},1000/Value_Spots*100);
				}
				if(ID == 'records') {
				
					
					Value_Records = Value;
					i_Records = 0;
					i_Records_100 = 0;
					
					if(typeof Spin_Records !== 'undefined') clearInterval(Spin_Records);
					Spin_Records = setInterval(function(){
	
						This.children('.chart').children('.value').children('label').text(i_Records_100);
						This.children('.chart').children('.value').children('i:nth-child('+(i_Records+1)+')').addClass('on');
						if(i_Records_100 >= Value_Records) {
							clearInterval(Spin_Records);
							This.children('.chart').children('.value').children('label').text(Value_Records);
						} else {
							i_Records++;
							i_Records_100 = i_Records_100 + 99;
						}
						
					},1000/Value_Records*100);
				}
				if(ID == 'images') {
				
					
					Value_Images = Value;
					i_Images = 0;
					i_Images_100 = 0;
					
					if(typeof Spin_Images !== 'undefined') clearInterval(Spin_Images);
					Spin_Images = setInterval(function(){
	
						This.children('.chart').children('.value').children('label').text(i_Images_100);
						This.children('.chart').children('.value').children('i:nth-child('+(i_Images+1)+')').addClass('on');
						if(i_Images_100 >= Value_Images) {
							clearInterval(Spin_Images);
							This.children('.chart').children('.value').children('label').text(Value_Images);
						} else {
							i_Images++;
							i_Images_100 = i_Images_100 + 99;
						}
						
					},1000/Value_Images*100);
				}
				
				if( ID == 'alltime'	) {
					conic(ID, This, '');
				}
				if( ID == 'winter'	||
					ID == 'spring'	||
					ID == 'summer'	||
					ID == 'autumn'	) {
					conic(ID, This, 'small');
				}
				if( ID == 'by-records' ||
					ID == 'by-spots' ||
					ID == 'most-active-spots') {
					This.children('.chart').css('height',(HeightUnit*Value));
				}
				if( ID == 'seasonal-winter'	||
					ID == 'seasonal-spring'	||
					ID == 'seasonal-summer'	||
					ID == 'seasonal-autumn'	) {
					conic(ID, This, '');
					conic2(ID, This);
				}				
				
		});	
			
	} else {
		$('#'+ID).removeClass('anim');
		$('#'+ID+':not(#fish-sampling-biomass):not(#days-spent-with-field-work):not(.pie-chart) > div > .chart').removeAttr('style');
		$('#'+ID+' > div > .chart > .value > i').removeClass('on');
	}
	
	
	function conic(ID, This, SMALL){
		Flow = Number(This.data('flow'));
		Pool = Number(This.data('pool'));
		Dry = Number(This.data('dry'));	
		Total = Flow + Pool + Dry;
		_Flow = Math.round(Flow / Total * 1000) / 10;
		_Pool = Math.round(Pool / Total * 1000) / 10;
		_Dry = Math.round(Dry / Total * 1000) / 10;
		
		FlowColor = '#3366cc';
		PoolColor = '#ff9900';
		DryColor = '#dc3912';

		FlowHTML = '';
		PoolHTML = '';
		DryHTML = '';
		
		if(SMALL !== 'small') {
			FlowHTML += 'Flow – <b>'+Flow+'</b> – ';
			PoolHTML += 'Pool – <b>'+Pool+'</b> – ';
			DryHTML += 'Dry – <b>'+Dry+'</b> – ';
		}
		FlowHTML += '<b>'+_Flow+'%</b>';
		PoolHTML += '<b>'+_Pool+'%</b>';
		DryHTML += '<b>'+_Dry+'%</b>';	

		$('#'+ID+' h4.flow').html(FlowHTML);
		$('#'+ID+' h4.pool').html(PoolHTML);
		$('#'+ID+' h4.dry').html(DryHTML);
		
		Gradient = FlowColor+' 0%, ';
		Gradient += FlowColor+' '+_Flow+'%, ';
		Gradient += PoolColor+' '+_Flow+'%, ';
		Gradient += PoolColor+' '+(_Flow+_Pool)+'%, ';
		Gradient += DryColor+' '+(_Flow+_Pool)+'%, ';
		Gradient += DryColor+' '+(_Flow+_Pool+_Dry)+'%';
		
		This.children('.chart').css('background-image','conic-gradient('+Gradient+')');	
	}	
	
	function conic2(ID, This){
		
		Season = ID.split('-')[1];
		
		
		Flow_Seasonal = This.children('.chart2').data('flow-'+ID).split(' ');
		Pool_Seasonal = This.children('.chart2').data('pool-'+ID).split(' ');
		Dry_Seasonal = This.children('.chart2').data('dry-'+ID).split(' ');
		
		Total = Flow + Pool + Dry;
		_Flow_S_1 = Math.round(Number(Flow_Seasonal[0]) / Total * 1000) / 10;
		_Flow_S_2 = Math.round(Number(Flow_Seasonal[1]) / Total * 1000) / 10;
		_Flow_S_3 = Math.round(Number(Flow_Seasonal[2]) / Total * 1000) / 10;
		
		_Pool_S_1 = Math.round(Number(Pool_Seasonal[0]) / Total * 1000) / 10;
		_Pool_S_2 = Math.round(Number(Pool_Seasonal[1]) / Total * 1000) / 10;
		_Pool_S_3 = Math.round(Number(Pool_Seasonal[2]) / Total * 1000) / 10;
		
		_Dry_S_1 = Math.round(Number(Dry_Seasonal[0]) / Total * 1000) / 10;
		_Dry_S_2 = Math.round(Number(Dry_Seasonal[1]) / Total * 1000) / 10;
		_Dry_S_3 = Math.round(Number(Dry_Seasonal[2]) / Total * 1000) / 10;
		
		
		
		FlowColor_S_1 = '#1f3db8';
		FlowColor_S_2 = '#3366cc';
		FlowColor_S_3 = '#478fe0';
		
		PoolColor_S_1 = '#ff7a00';
		PoolColor_S_2 = '#ff9900';
		PoolColor_S_3 = '#ffb800';
		
		DryColor_S_1 = '#c20e05';
		DryColor_S_2 = '#dc3912';
		DryColor_S_3 = '#e94f19';
		
		
		
		
		Season1 = '';
		Season2 = '';
		Season3 = '';
		
		if(Season == 'winter'){
			Season1 = 'DEC';
			Season2 = 'JAN';
			Season3 = 'FEB';
		} else if(Season == 'spring'){
			Season1 = 'MAR';
			Season2 = 'APR';
			Season3 = 'MAY';
		} else if(Season == 'summer'){
			Season1 = 'JUN';
			Season2 = 'JUL';
			Season3 = 'AUG';
		} else if(Season == 'autumn'){
			Season1 = 'SEP';
			Season2 = 'OKT';
			Season3 = 'NOV';
		} 
		
		
		$('#'+ID+' small').remove();
		
		$('#'+ID+' h4.flow').after('<small style="color: '+FlowColor_S_1+';">'+Season1+' – <b>'+_Flow_S_1+'%</b></small><small style="color: '+FlowColor_S_2+';">'+Season2+' – <b>'+_Flow_S_2+'%</b></small><small style="color: '+FlowColor_S_3+';">'+Season3+' – <b>'+_Flow_S_3+'%</b></small>');
		
		$('#'+ID+' h4.pool').after('<small style="color: '+PoolColor_S_1+';">'+Season1+' – <b>'+_Pool_S_1+'%</b></small><small style="color: '+PoolColor_S_2+';">'+Season2+' – <b>'+_Pool_S_2+'%</b></small><small style="color: '+PoolColor_S_3+';">'+Season3+' – <b>'+_Pool_S_3+'%</b></small>');
		
		$('#'+ID+' h4.dry').after('<small style="color: '+DryColor_S_1+';">'+Season1+' – <b>'+_Dry_S_1+'%</b></small><small style="color: '+DryColor_S_2+';">'+Season2+' – <b>'+_Dry_S_2+'%</b></small><small style="color: '+DryColor_S_3+';">'+Season3+' – <b>'+_Dry_S_3+'%</b></small>');
		
		
		Gradient2 = FlowColor_S_1+' 0%, ';
		Gradient2 += FlowColor_S_1+' '+_Flow_S_1+'%, ';
		
		Gradient2 += FlowColor_S_2+' '+_Flow_S_1+'%, ';
		Gradient2 += FlowColor_S_2+' '+(_Flow_S_1+_Flow_S_2)+'%, ';
		
		Gradient2 += FlowColor_S_3+' '+(_Flow_S_1+_Flow_S_2)+'%, ';
		Gradient2 += FlowColor_S_3+' '+(_Flow_S_1+_Flow_S_2+_Flow_S_3)+'%, ';
		
		Gradient2 += PoolColor_S_1+' '+(_Flow_S_1+_Flow_S_2+_Flow_S_3)+'%, ';
		Gradient2 += PoolColor_S_1+' '+(_Flow_S_1+_Flow_S_2+_Flow_S_3+_Pool_S_1)+'%, ';
		
		Gradient2 += PoolColor_S_2+' '+(_Flow_S_1+_Flow_S_2+_Flow_S_3+_Pool_S_1)+'%, ';
		Gradient2 += PoolColor_S_2+' '+(_Flow_S_1+_Flow_S_2+_Flow_S_3+_Pool_S_1+_Pool_S_2)+'%, ';
		
		Gradient2 += PoolColor_S_3+' '+(_Flow_S_1+_Flow_S_2+_Flow_S_3+_Pool_S_1+_Pool_S_2)+'%, ';
		Gradient2 += PoolColor_S_3+' '+(_Flow_S_1+_Flow_S_2+_Flow_S_3+_Pool_S_1+_Pool_S_2+_Pool_S_3)+'%, ';
		
		Gradient2 += DryColor_S_1+' '+(_Flow_S_1+_Flow_S_2+_Flow_S_3+_Pool_S_1+_Pool_S_2+_Pool_S_3)+'%, ';
		Gradient2 += DryColor_S_1+' '+(_Flow_S_1+_Flow_S_2+_Flow_S_3+_Pool_S_1+_Pool_S_2+_Pool_S_3+_Dry_S_1)+'%, ';
		
		Gradient2 += DryColor_S_2+' '+(_Flow_S_1+_Flow_S_2+_Flow_S_3+_Pool_S_1+_Pool_S_2+_Pool_S_3+_Dry_S_1)+'%, ';
		Gradient2 += DryColor_S_2+' '+(_Flow_S_1+_Flow_S_2+_Flow_S_3+_Pool_S_1+_Pool_S_2+_Pool_S_3+_Dry_S_1+_Dry_S_2)+'%, ';
		
		Gradient2 += DryColor_S_3+' '+(_Flow_S_1+_Flow_S_2+_Flow_S_3+_Pool_S_1+_Pool_S_2+_Pool_S_3+_Dry_S_1+_Dry_S_2)+'%, ';
		Gradient2 += DryColor_S_3+' '+(_Flow_S_1+_Flow_S_2+_Flow_S_3+_Pool_S_1+_Pool_S_2+_Pool_S_3+_Dry_S_1+_Dry_S_2+_Dry_S_3)+'%';
		
		This.children('.chart2').css('background-image','conic-gradient('+Gradient2+')');	
	}
	
	
	
	
	
}

/*------------------------------------*/	
});